%global pkgname boto

Summary:	A simple lightweight interface to Amazon Web Services
Name:		python-boto
Version:	2.6.0
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
URL:		https://github.com/%{pkgname}/%{pkgname}/
Source:		http://pypi.python.org/packages/source/b/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel, python-setuptools 

%description
Boto is a Python package that provides interfaces to Amazon Web Services.
It supports S3 (Simple Storage Service), SQS (Simple Queue Service) via
the REST API's provided by those services and EC2 (Elastic Compute Cloud)
via the Query API. The goal of boto is to provide a very simple, easy to
use, lightweight wrapper around the Amazon services.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build  

%install
rm -rf %{buildroot} 
%{__python} setup.py install --skip-build --root %{buildroot} 

%files
%{_bindir}/*
%{py_puresitedir}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 378505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 philippem <philippem> 2.6.0-1.mga3
+ Revision: 325387
- update to 2.6.0

* Sun Sep 02 2012 philippem <philippem> 2.5.2-1.mga3
+ Revision: 287234
- New upstream release 2.5.2

* Tue Feb 21 2012 philippem <philippem> 2.2.2-1.mga2
+ Revision: 211539
- Update to 2.2.2.

  + fwang <fwang>
    - update group
    - new version 2.0

* Wed Feb 23 2011 philippem <philippem> 1.9b-0.mga1
+ Revision: 57469
- imported package python-boto

